For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/contact-properties/post-api-contacts-v1properties-create.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Create Contact Property

POST
/api/contacts/v1/properties/create
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { property, propertyError } = await reloop.contacts.properties.create({
6 name: "company_name",
7 type: "string",
8 fallbackValue: "Unknown",
9});
10
11if (propertyError) throw propertyError;
12
13console.log(property.id, property.propertyName);
1{
2 "object": "contact_property",
3 "id": "con_123456789",
4 "propertyName": "company",
5 "propertyType": "example_propertyType",
6 "defaultValue": null,
7 "createdAt": "2026-03-23T10:00:00.000Z",
8 "updatedAt": "2026-03-23T10:00:00.000Z",
9 "event": "evt_123456789"
10}

Body Parameters

namestringRequired

Property name (e.g., company_name, first_name)

  • Minimum length: 1
  • Maximum length: 255
type"string" | "number"Required

Possible values: string | number

fallbackValuestring

Default value to use when property is empty

Was this page helpful?